Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Class RPLList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  uchicago.src.sim.parameter.rpl.RPLList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class RPLList

extends java.util.ArrayList

Intermediate representation of a List used by the RPLCompiler.

Version:
  $Revision: 1.3 $ $Date: 2003/07/07 02:41:35 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RPLList(java.lang.Class type)` Creates an RPLList that holdsobjects of the specified type.
`RPLList(int initialCapacity, java.lang.Class type)` Creates an RPLList with the specified initial capacity and that holds objects of the specified type.

Method Summary
`java.lang.Class` | `getType()` Gets the type of objects contained by this list.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### RPLList

    public RPLList(int initialCapacity,
                   java.lang.Class type)

  Creates an RPLList with the specified initial capacity and that holds objects of the specified type.

  Parameters:
    `initialCapacity` - the initial capacity of the list
    `type` - the type object contained by the list

### RPLList

    public RPLList(java.lang.Class type)

  Creates an RPLList that holdsobjects of the specified type.

  Parameters:
    `type` - the type object contained by the list

Method Detail

### getType

    public java.lang.Class getType()

  Gets the type of objects contained by this list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD